#!/usr/bin/env python

import pandas as pd

df = pd.read_excel("sample_pandas_normal.xlsx")
print("df")
print(df)
# df
#       name  age state  point
# 0    Alice   24    NY     64
# 1      Bob   42    CA     92
# 2  Charlie   18    CA     70
# 3     Dave   68    TX     70
# 4    Ellen   24    CA     88
# 5    Frank   30    NY     57

#  第一引数 by をリストで指定すると、複数列を基準にソートできる
#  リストの後ろから順番にソートされていくイメージ。
#  最後にリストの最初の列でソートされる。
#  引数 ascending をリストで指定すると、それぞれの列に対して
#  昇順・降順を選択できる
df_s = df.sort_values(["state", "age"], ascending=[False, False])
print("df_s")
print(df_s)
# df_s
#       name  age state  point
# 3     Dave   68    TX     70
# 5    Frank   30    NY     57
# 0    Alice   24    NY     64
# 1      Bob   42    CA     92
# 4    Ellen   24    CA     88
# 2  Charlie   18    CA     70

names = df_s["name"]
print("names")
for name in names:
    print(name)
# names
# Dave
# Frank
# Alice
# Bob
# Ellen
# Charlie